# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ApplicationContext Class Reference

`#include <StepBasic_ApplicationContext.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_ApplicationContext ()
| Returns a ApplicationContext .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aApplication)
Standard_EXPORT void | SetApplication (const Handle(TCollection_HAsciiString)&aApplication)
Standard_EXPORT Handle_TCollection_HAsciiString | Application () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | application

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ApplicationContext::StepBasic_ApplicationContext | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ApplicationContext::Application | ( |  | ) | const

Standard_EXPORT const StepBasic_ApplicationContext::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_ApplicationContext::Init | ( | const Handle(TCollection_HAsciiString)& | aApplication | ) | `[virtual]`

Standard_EXPORT void StepBasic_ApplicationContext::SetApplication | ( | const Handle(TCollection_HAsciiString)& | aApplication | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_ApplicationContext::application `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ApplicationContext.hxx